## astk 1.8.0

=== ASTK_SERV/i18n/Makefile ===
# locale/XX/LC_MESSAGES/asrun.mo : lien vers asrun.XX.mo
sources = $(shell ls ../asrun/*.py)

messages.pot: $(sources)
	(cd . ; pygettext -o $@ ../asrun)

=== ASTK_SERV/unittest/Makefile ===
SHORT = etude compil catapy jobs meshtool client
LONG = catalo astout param others
LAST = surcharge

ALL   = $(SHORT) $(LONG) $(LAST)

default: diag

short: $(SHORT)
long: $(LONG)
last: $(LAST)

rest: $(SHORT) $(LAST)
all: $(ALL)

.PHONY: diag clean distclean short $(SHORT) long $(LONG) last $(LAST)

diag:
	@echo "--------------------------------"
	@echo "           RESULTS"
	@echo "--------------------------------"
	@for d in $(ALL); do \
		(cd $$d && if [ -f unittest ]; then echo "RESULT `cat unittest` for $$d"; fi); \
	done

clean: Makefile.inc
	@for d in $(ALL); do \
		(cd $$d && $(MAKE) $@); \
	done

distclean: clean
	@rm -f Makefile.inc

Makefile.inc: config.py
ifeq ($(PYTHONEXECUTABLE),)
	@python config.py
else
	@$(PYTHONEXECUTABLE) config.py
endif

$(ALL): Makefile.inc
	@$(MAKE) -C $@

$(LAST): $(SHORT)

=== ASTK_SERV/unittest/astout/Makefile ===
default: diag

TEST = astout
TODELETE = $(TEST).export $(TEST).list $(TEST).rep_test $(TEST).resu_test $(TEST).flash diag.pick

include ../Makefile.inc

$(TEST).list:
	@echo 'erreu03a'  > $(TEST).tmp
	@echo 'zzzz136a' >> $(TEST).tmp
	@echo 'efica01a' >> $(TEST).tmp
	@echo 'zzzz107a' >> $(TEST).tmp
	@echo 'mumps01a' >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

$(TEST).resu_test:
	@mkdir $@

$(TEST).rep_test:
	@mkdir $@
	@cp -f $(ASTER_ROOT)/$(ASTER_VERSION)/astest/zzzz107a.* $@

unittest: $(TEST).export $(TEST).list $(TEST).rep_test $(TEST).resu_test hostfile
	$(as_run) --only_nook $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@

=== ASTK_SERV/unittest/catalo/Makefile ===
default: diag

TEST = catalo
TODELETE = $(TEST).export $(TEST).cata elements

include ../Makefile.inc

$(TEST).cata: 
	@cp $(ASTER_ROOT)/$(ASTER_VERSION)/catalo/compelem/grandeur_simple__.cata $@

unittest: $(TEST).export $(TEST).cata
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > exit_code.tmp
	@if [ `grep -c -E 'DIAGNOSTIC JOB : OK|DIAGNOSTIC JOB :.*ALARM' output.1.$@` -ne 1 ]; then \
	   echo 'DIAG != OK / ALARM'; \
	   echo "EXIT_CODE=304" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== ASTK_SERV/unittest/catapy/Makefile ===
default: diag

TEST = catapy
TODELETE = $(TEST).export debut.capy commande

include ../Makefile.inc

debut.capy: 
	@sed -e 's@PAR_LOT *=@MCTEST_CAPY=SIMP(statut="o",typ="TXM"), PAR_LOT =@g' \
	   $(ASTER_ROOT)/$(ASTER_VERSION)/catapy/commande/debut.capy > $@

unittest: $(TEST).export debut.capy
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 exit_code.tmp` -eq 1 ] && \
	     [ `grep -c MCTEST_CAPY commande/cata.py` -ne 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	elif [ `grep -c 'DEBUT *= *MACRO' commande/cata.py` -ne 1 ]; then \
	   echo "EXIT_CODE=204" > exit_code.tmp; \
	elif [ `grep -c -E 'DIAGNOSTIC JOB : OK|DIAGNOSTIC JOB :.*ALARM' output.1.$@` -ne 1 ]; then \
	   echo 'DIAG != OK'; \
	   echo "EXIT_CODE=304" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== ASTK_SERV/unittest/client/Makefile ===
default: diag

TEST = client
TODELETE = *.pyoutput *.pyerror astkrc

include ../Makefile.inc

astkrc/config_serveurs:
	@rm -rf astkrc ; mkdir astkrc ; cp config_serveurs.in $@

unittest: | astkrc/config_serveurs client.pyoutput
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 client.pyoutput`  -ne 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== ASTK_SERV/unittest/compil/Makefile ===
default: diag

TEST = compil
TODELETE = $(TEST).export $(TEST).f aster.exe

include ../Makefile.inc

$(TEST).f: 
	@sed -e "s@      END\$$@      print \*,'MCTEST_EXE_OK'\n      END@g" \
	   $(ASTER_ROOT)/$(ASTER_VERSION)/bibfor/supervis/debut.f > $@

unittest: $(TEST).export $(TEST).f
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@

=== ASTK_SERV/unittest/etude/Makefile ===
default: diag

TEST = etude
TODELETE = $(TEST).export $(TEST).comm test.py stanley.py pyobj cmdline pystan base_results P1

include ../Makefile.inc

$(TEST).comm:
	@echo 'DEBUT()' > $(TEST).tmp
	@echo 'P1 = 9999'              >> $(TEST).tmp
	@echo 'print "PARAMETER=", P1' >> $(TEST).tmp
	@echo 'open("./REPE_OUT/parameter", "w").write("PARAMETER=%s\\n" % P1)' >> $(TEST).tmp
	@echo 'FIN()'  >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

cmdline: $(TEST).export $(TEST).comm
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@

pyobj: $(TEST).export $(TEST).comm test.py
	$(PYTHONEXECUTABLE) test.py > output.2.$@ 2> error.2.$@
	@grep EXIT_CODE output.2.$@ > $@

base_results: pyobj

pystan: $(TEST).export base_results stanley.py
	$(PYTHONEXECUTABLE) stanley.py > output.3.$@ 2> error.3.$@
	@grep EXIT_CODE output.3.$@ > $@

unittest: cmdline pyobj pystan
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 cmdline`  -ne 1 ] || \
	     [ `grep -c EXIT_CODE=0 pyobj` -ne 1 ] || \
	     [ `grep -c EXIT_CODE=0 pystan` -ne 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== ASTK_SERV/unittest/jobs/Makefile ===
default: diag

TEST = jobs
TODELETE = info $(TEST).export $(TEST).comm jobid actu del ftail

include ../Makefile.inc

$(TEST).comm:
	@echo 'DEBUT()'        > $(TEST).tmp
	@echo 'import time'   >> $(TEST).tmp
	@echo 'time.sleep(1)' >> $(TEST).tmp
	@echo 'FIN()'         >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

info:
	$(as_run) --info > output.0.$@ 2> error.0.$@
	@if [ `grep -c 'SERV_VERS@' output.0.$@` -ne 2 ]; then \
		exit 14; \
	fi
	@grep EXIT_CODE output.0.$@ > $@

jobid: $(TEST).export $(TEST).comm
	$(as_run) --serv $< > output.1.$@ 2> error.1.$@
	@head -1 output.1.$@ | sed -e 's/^JOBID=//g' -e 's/ QUEUE.*//g' > jobid

actu: jobid
	sleep 0.2
	$(as_run) --actu `cat jobid` unittest_jobs interactif > output.2.$@ 2> error.2.$@
	@head -1 output.2.$@
	@if [ `head -1 output.2.$@ | grep -c 'ETAT=RUN DIAG=_ EXEC='` -ne 1 ]; then \
		echo 'ETAT != RUN'; \
		exit 24; \
	fi
	$(as_run) --tail `cat jobid` unittest_jobs interactif ftail 10 > output.3.$@ 2> error.3.$@
	@head -1 output.3.$@
	sleep 5
	$(as_run) --actu `cat jobid` unittest_jobs interactif > output.4.$@ 2> error.4.$@
	@head -1 output.4.$@
	@if [ `head -1 output.4.$@ | grep -c 'ETAT=ENDED DIAG=OK EXEC='` -ne 1 ]; then \
		echo 'ETAT != ENDED'; \
		exit 34; \
	fi
	@grep EXIT_CODE output.4.$@ > $@

del: actu
	$(as_run) --del `cat jobid` unittest_jobs interactif > output.5.$@ 2> error.5.$@
	@grep EXIT_CODE output.5.$@ > $@

unittest: info actu del
	@cp $< $@

jobclean = oui

=== ASTK_SERV/unittest/meshtool/Makefile ===
default: diag

TEST = meshtool
TODELETE = $(TEST).export jobid mesh_in mesh_out

include ../Makefile.inc

mesh_in:
	@cp $(ASTER_ROOT)/$(ASTER_VERSION)/astest/forma01a.mmed $@

jobid: $(TEST).export mesh_in
	$(as_run) --serv $< > output.1.$@ 2> error.1.$@
	@head -1 output.1.$@ | sed -e 's/^JOBID=//g' -e 's/ QUEUE.*//g' > jobid

mesh_out: jobid
	@echo 'ETAT=RUN' > output.2.$@
	while [ `grep -c 'ETAT=ENDED DIAG=' output.2.$@` -ne 1 ]; do \
	   $(as_run) --actu `cat jobid` unittest_meshtool_mesh interactif > output.2.$@ 2> error.2.$@; \
	   sleep 1; \
	done
	@if [ `grep -c -E 'DIAG=OK|DIAG.*ALARM' output.2.$@` -ne 1 ]; then \
	   echo 'DIAG != OK / ALARM'; \
	   echo "EXIT_CODE=304" > $@; \
   fi

unittest: mesh_out
	@if [ `grep -c FINSF mesh_out` -lt 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	else \
	   echo "EXIT_CODE=0" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

jobclean = oui

=== ASTK_SERV/unittest/others/Makefile ===
default: diag

TEST = others
TODELETE = *.pyoutput *.pyerror agla.export

include ../Makefile.inc

unittest: agla.pyoutput scroll.pyoutput thread.pyoutput unig.pyoutput deprecate.pyoutput
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 agla.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 scroll.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 thread.pyoutput`  -ne 1 ] || \
		[ `grep -c EXIT_CODE=0 unig.pyoutput`    -ne 1 ] || \
		[ `grep -c DeprecationWarning deprecate.pyerror` -ne 8 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== ASTK_SERV/unittest/param/Makefile ===
default: diag

TEST = param
TODELETE = $(TEST).export $(TEST).comm $(TEST).distr $(TEST).pre.include $(TEST).resu \
           pyobj cmdline pytest poursuite test_param.py \
           poursuite.export poursuite.comm poursuite.resu

include ../Makefile.inc

$(TEST).comm:
	@echo 'DEBUT()'   > $(TEST).tmp
	@echo 'P1 = 12.' >> $(TEST).tmp
	@echo 'print "Parameter P1 = %s" % P1' >> $(TEST).tmp
	@echo 'FIN()'    >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

poursuite.comm:
	@echo 'POURSUITE()'   > $(TEST).tmp
	@echo 'FIN()'    >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

$(TEST).distr:
	@echo 'VALE=('                    > $(TEST).tmp
	@echo '   _F(P1=1., P2=0.3),'    >> $(TEST).tmp
	@echo '   _F(P1=22., P2=0.4),'   >> $(TEST).tmp
	@echo '   _F(P1=333., P2=0.4),)' >> $(TEST).tmp
	@echo 'UNITE_PRE_CALCUL = 38'    >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

$(TEST).pre.include:
	@echo 'print "Fichier inlus par INCLUDE après DEBUT."' >> $(TEST).tmp
	@mv -f $(TEST).tmp $@

cmdline: $(TEST).export $(TEST).comm $(TEST).distr $(TEST).pre.include
	$(as_run) $< > output.1.$@ 2> error.1.$@
	@grep EXIT_CODE output.1.$@ > $@

poursuite: poursuite.export poursuite.comm $(TEST).distr cmdline
	$(as_run) $< > output.3.$@ 2> error.3.$@
	@grep EXIT_CODE output.3.$@ > $@

pyobj: test_param.py
	$(PYTHONEXECUTABLE) test_param.py > output.2.$@ 2> error.2.$@
	@grep EXIT_CODE output.2.$@ > $@

unittest: cmdline pyobj poursuite
	@echo "EXIT_CODE=0" > exit_code.tmp
	@if  [ `grep -c EXIT_CODE=0 cmdline`  -ne 1 ] || \
	     [ `grep -c EXIT_CODE=0 poursuite` -ne 1 ] || \
	     [ `grep -c EXIT_CODE=0 pyobj` -ne 1 ]; then \
	   echo "EXIT_CODE=104" > exit_code.tmp; \
	fi
	@if  [ `egrep -c '^calc_.*<A>_COPY_REPE' output.1.cmdline`  -ne 6 ] || \
	     [ `egrep -c '^calc_.*<A>_COPY_REPE' output.2.pyobj` -ne 2 ]; then \
	   echo "EXIT_CODE=108" > exit_code.tmp; \
	fi
	@mv -f exit_code.tmp $@

=== debian/changelog ===
astk (1.8.0-1) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * First package (Closes: #467085)
  
  [ Christophe Trophime ]
  * Update of the package to a more recent version

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Sun, 25 Apr 2010 16:43:13 +0200

=== debian/control ===
Source: astk
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), po-debconf
Homepage: http://www.code-aster.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/


Package: astk
Architecture: all
Section: science
Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends}
Recommends: astk-server
Suggests: eficas, gmsh, grace, nedit, ddd
Description: Code_Aster build/control system and front-end: Tcl client
 ASTK includes the Python build and control systems and Tcl front end for the
 Code_Aster finite element PDE solver.
 .
 This package contains the ASTK Tcl front-end client.  If you want to run
 astk/aster on the local host, you need to install python-astk-server as well.

Package: astk-server
Architecture: all
Section: python
Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
Suggests: emacs, gdb, ddd
Description: Code_Aster build/control system and front-end: Python server
 ASTK includes the Python build and control systems and Tcl front end for the
 Code_Aster finite element PDE solver.
 .
 This package contains the astk server which runs aster.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PYTHON_MODULE_PACKAGE = asrun
DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
#DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
#	--install-lib=usr/share/python-support/astk
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/python-support --install-layout=deb

export DESTDIR = $(DEB_DESTDIR)

install/astk:: 
	mkdir -p debian/astk/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/astk/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/* debian/astk/usr/bin
	
	mkdir -p debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/*.tcl debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/BWidget-1.7.0 debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/DOC debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/HELP debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/icons debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/locales.txt debian/astk/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/astk/usr/share/astk
	rm -f debian/astk/usr/share/astk/BWidget-1.7.0/LICENSE.txt

	mkdir -p debian/astk/usr/share/python-support
	mv $(DEB_DESTDIR)/usr/share/python-support debian/astk/usr/share/python-support
	
	mkdir -p debian/astk/etc/codeaster/astkrc
	mv $(DEB_DESTDIR)/usr/etc/codeaster/astkrc/* debian/astk/etc/codeaster/astkrc

	install -d debian/astk/usr/share/applications
	install -m 0644 debian/astk.desktop debian/astk/usr/share/applications

	install -d debian/astk/usr/share/pixmaps
	install -m 0644 debian/astk.xpm debian/astk/usr/share/pixmaps
	
	mkdir -p debian/astk/usr/share/man/man1
	install -m 0644 debian/as_run.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/astk.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/bsf.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/get.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/getop.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/show.1 debian/astk/usr/share/man/man1
	install -m 0644 debian/parallel_cp.1 debian/astk/usr/share/man/man1
	
install/astk-server:: 
	install -d debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.sh debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV/etc/config_nodename debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/aster debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/profile.csh debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/.mysql_connect_REX debian/astk-server/etc/codeaster
	install -m 0644 ASTK_SERV//etc/asrun debian/astk-server/etc/codeaster
	
	install -d debian/astk-server/usr/share/codeaster/asrun
	mv $(DEB_DESTDIR)/usr/share/codeaster debian/astk-server/usr/share/codeaster

	#mkdir -p debian/astk-server/usr/share/python-support
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/astk-server/usr/share/python-support

	#mkdir -p debian/astk-server/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/bin/as_* debian/astk-server/usr/bin

	install -d debian/astk-server/usr/share/locale
	mv $(DEB_DESTDIR)/usr/share/locale/* debian/astk-server/usr/share/locale

get-orig-source:
	# Retreive aster-full-src-10.1.0-4.noarch.tar.gz
	TMPDIR=`mktemp -d $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig`
	pushd "$$TMPDIR"
	wget http://www.code-aster.org/V2/spip.php?action=dw2_out&id=667
	
	# Go to SRC directory and retreive astk source
	tar xzf aster-full-src-10.1.0-4.noarch.tar.gz
	cd SRC
	mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	popd
	rm -rf "$$TMPDIR"

## astk 1.8.3

=== debian/changelog ===
astk (1.8.3-2) unstable; urgency=low

  * [Debconf translation updates]
    - Japanese (Nobuhiro Iwamatsu).  Closes: #602465
  * debian/control:  add dpkg-dev deps (Closes: #603687)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Tue, 16 Nov 2010 13:27:14 +0100

astk (1.8.3-1) unstable; urgency=low

  * New upstream version
  * Remove debug -x flag from postinst and post rm scripts
  * debian/rules : 
     correct get-orig-source (update spip id)
     add a symlink to /usr/bin/as_run in $ASTER_ROOT/bin in code-aster-run
     do not install manpage for show (Closes: #581915)   
  * Add directory $ASTER_ROOT/outils
  * Add links to gmsh, grace, eficasQt to $ASTER_ROOT/outils
  * debian/control :
     Add gmsh, grace, eficas to BuildDepends
     Add astk-server to  Replaces/conflicts Closes: #596660
  
  [Andre Espaze]
  * remove onecore.patch
  * update debian-install.patch to latest version

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Thu, 30 Sep 2010 10:43:38 +0200

astk (1.8.1-2) unstable; urgency=low

  * Added source lintian overrides about Adam Powell's name.
  * Add debian-install.patch to fix installation paths 
  * Change ASTER_ROOT to /usr/lib/codeaster 
  * debian/control:
     Rename astk : code-aster-gui
     Rename astk-server : code-aster-run

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 30 Aug 2010 08:38:39 +0200

astk (1.8.1-1) unstable; urgency=low

  * New upstream version
  * Bump Standards-Version: to 3.9.1. (No changes needed.)
  * Added source lintian overrides about Adam Powell's name.
  * Complete postinst configuration

  [Christian Perrier]
  * Non-maintainer upload to  fix pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #584616

  * [Debconf translation updates]
    - Swedish (Martin Bagge / brother).  Closes: #585112
    - Russian (Yuri Kozlov).  Closes: #585150
    - Simplified Chinese (YunQiang Su).  Closes: #585151
    - Danish (Joe Hansen).  Closes: #585486
    - Czech (Michal Simunek).  Closes: #585630
    - French (Julien Patriarca).  Closes: #586097
    - German (Chris Leick).  Closes: #586282
    - Portuguese (Miguel Figueiredo).  Closes: #586979
    - Spanish (Camaleón).  Closes: #591507

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 16 Aug 2010 15:45:48 +0200

astk (1.8.0-2) unstable; urgency=low

  * debian/rules: do not install show.1.gz (Closes: #581915)
  * debian/rules: do not install /etc/.mysql_connect_REX

  [Christian Perrier]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #584616
  * [Debconf translation updates]
  * Swedish (Martin Bagge / brother).  Closes: #585112
  * Russian (Yuri Kozlov).  Closes: #585150
  * Simplified Chinese (YunQiang Su).  Closes: #585151
  * Danish (Joe Hansen).  Closes: #585486
  * Czech (Michal Simunek).  Closes: #585630
  * French (Julien Patriarca).  Closes: #586097
  * German (Chris Leick).  Closes: #586282
  * Portuguese (Miguel Figueiredo).  Closes: #586979

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Thu, 01 Jul 2010 14:48:52 +0200

=== debian/control ===
Source: astk
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
 po-debconf, gmsh, grace, eficas
Homepage: http://www.code-aster.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/


Package: code-aster-gui
Architecture: all
Section: science
Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends},
 dpkg-dev
Recommends: code-aster-run
Replaces: astk, astk-server
Conflicts: astk, astk-server
Suggests: eficas, gmsh, grace, nedit, ddd
Description: Graphical user interface for Code_Aster - client
 Code_Aster is the finite element PDE solver used by the French
 nuclear industry. code-aster-gui provides a Tcl front end to its Python build
 and control systems.
 .
 This package contains the code-aster-gui client, which needs to connect to a
 locally or remotely installed server (in the package "code-aster-run").

Package: code-aster-run
Architecture: all
Section: science
Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
Replaces: astk, astk-server
Conflicts: astk, astk-server
Suggests: emacs, gdb, ddd
Description: Graphical user interface for Code_Aster - server
 Code_Aster is the finite element PDE solver used by the French
 nuclear industry. code-aster-run provides a Tcl front end to its Python build
 and control systems.
 .
 This package contains the code-aster-run server, which runs Aster code.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

ASTER_VERSION=10.2.0
ASTER_VERSION_FULL=$(ASTER_VERSION)-2
ASTER_ROOT=/usr/lib/codeaster

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PYTHON_MODULE_PACKAGE = asrun
DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
#DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
#	--install-lib=usr/share/python-support/astk
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/python-support --install-layout=deb

export DESTDIR = $(DEB_DESTDIR)

install/code-aster-gui:: 
	mkdir -p debian/code-aster-gui/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-gui/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/codeaster-gui debian/code-aster-gui/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/astk debian/code-aster-gui/usr/bin
	
	mkdir -p debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/*.tcl debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/BWidget-1.7.0 debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/DOC debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/HELP debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/icons debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/locales.txt debian/code-aster-gui/usr/share/astk
	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/code-aster-gui/usr/share/astk
	rm -f debian/code-aster-gui/usr/share/astk/BWidget-1.7.0/LICENSE.txt

	mkdir -p debian/code-aster-gui/usr/share/python-support
	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-gui/usr/share/python-support
	
	mkdir -p debian/code-aster-gui/etc/codeaster/astkrc
	mv $(DEB_DESTDIR)/etc/codeaster/astkrc/* debian/code-aster-gui/etc/codeaster/astkrc

	install -d debian/code-aster-gui/usr/share/applications
	install -m 0644 debian/code-aster-gui.desktop debian/code-aster-gui/usr/share/applications

	install -d debian/code-aster-gui/usr/share/pixmaps
	install -m 0644 debian/astk.xpm debian/code-aster-gui/usr/share/pixmaps
	
	mkdir -p debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/astk.1 debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/codeaster-gui.1 debian/code-aster-gui/usr/share/man/man1
	install -m 0644 debian/bsf.1 debian/code-aster-gui/usr/share/man/man1 
	
	# Add links in $ASTER_ROOT/outils
	mkdir -p mkdir -p debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/eficasQt debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/gmsh debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/xmgrace debian/code-aster-gui/$(ASTER_ROOT)/outils
	
install/code-aster-run:: 
	mkdir -p debian/code-aster-run/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/codeaster debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/as_run debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/get* debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin

	install -d debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.sh debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/config_nodename debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/aster debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/profile.csh debian/code-aster-run/etc/codeaster
	install -m 0644 ASTK_SERV/etc/asrun debian/code-aster-run/etc/codeaster
	
	# Add version to /etc/codeaster/aster
	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.2|" debian/code-aster-run/etc/codeaster/aster
	
	install -d debian/code-aster-run/$(ASTER_ROOT)/asrun
	mv $(DEB_DESTDIR)/$(ASTER_ROOT)/* debian/code-aster-run/$(ASTER_ROOT)

	#mkdir -p debian/code-aster-run/usr/share/python-support
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/code-aster-run/usr/share/python-support

	#mkdir -p debian/code-aster-run/usr/bin
	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/bin/as_* debian/code-aster-run/usr/binls

	mkdir -p debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/as_run.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/codeaster.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/get.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/getop.1 debian/code-aster-run/usr/share/man/man1
	install -m 0644 debian/parallel_cp.1 debian/code-aster-run/usr/share/man/man1

	install -d debian/code-aster-run/usr/share/locale
	mv $(DEB_DESTDIR)/usr/share/locale/* debian/code-aster-run/usr/share/locale
	
	mkdir -p debian/code-aster-run/usr/lib/codeaster/bin
	ln -sf /usr/bin/as_run debian/code-aster-run/usr/lib/codeaster/bin/as_run

get-orig-source:
	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	mkdir -p tmp
	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=828"
	cd tmp && mv "spip.php?action=dw2_out&id=828" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	
	# Go to SRC directory and retreive astk source
	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	cd tmp/aster-full-src-$(ASTER_VERSION)/SRC && mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf tmp

## astk 1.8.4

=== debian/changelog ===
astk (1.8.4-5) unstable; urgency=low

  [Andrea Palazzi]
  * debian/patches/config.patch
      fix wrong /etc/codeaster/asrun for OpenMPI
  * add /etc/codeaster/aster-mpihosts 
      needed for building code-aster
  
  * Rename get, getop and parralel_cp (Closes: #626353)
  * debian/control: update maintainers emails

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 06 Dec 2011 11:30:02 +0200

astk (1.8.4-4) unstable; urgency=low

  * move mpirun_template to usr/lib/codeaster/asrun/data (closes: #627540)
  * fix lintian errors and warnings
  * add codeaster-run.lintian-overrides

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 20 Jun 2011 17:56:34 +0200

astk (1.8.4-3) unstable; urgency=low

  * Standards-Version updated to version 3.9.2

  [ Christophe Trophime ]
  * debian/rules: add mpirun_template to code-aster-run (Closes: #627540)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jun 2011 20:28:03 +0200

astk (1.8.4-2) unstable; urgency=low

  * debian/rules: correct get-orig-source target

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Fri, 14 Jan 2011 10:35:43 +0100

astk (1.8.4-1) unstable; urgency=low

  [Martin Bagge / brother]
  * Debconf translation updates Swedish

  [Andre Espaze]
  * New upstream version
  * debian/rules: moving asrun Python package to code-aster-run

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Tue, 11 Jan 2011 15:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.1
+Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
  po-debconf, gmsh, grace, eficas
 Homepage: http://www.code-aster.org/

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=10.2.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-2
+ASTER_VERSION=10.3.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-3
 ASTER_ROOT=/usr/lib/codeaster
 
 DEB_PYTHON_SYSTEM=pysupport
@@ -36,9 +36,6 @@
 	mv $(DEB_DESTDIR)/usr/lib/astk/RELNOTES debian/code-aster-gui/usr/share/astk
 	rm -f debian/code-aster-gui/usr/share/astk/BWidget-1.7.0/LICENSE.txt
 
-	mkdir -p debian/code-aster-gui/usr/share/python-support
-	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-gui/usr/share/python-support
-	
 	mkdir -p debian/code-aster-gui/etc/codeaster/astkrc
 	mv $(DEB_DESTDIR)/etc/codeaster/astkrc/* debian/code-aster-gui/etc/codeaster/astkrc
 
@@ -64,9 +61,10 @@
 	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_CLIENT debian/code-aster-run/usr/bin
 	mv $(DEB_DESTDIR)/usr/bin/codeaster debian/code-aster-run/usr/bin
 	mv $(DEB_DESTDIR)/usr/bin/as_run debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/get* debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
-	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin
+	mv $(DEB_DESTDIR)/usr/bin/get debian/code-aster-run/usr/bin/codeaster-get
+	mv $(DEB_DESTDIR)/usr/bin/getop debian/code-aster-run/usr/bin/codeaster-getop
+	#mv $(DEB_DESTDIR)/usr/bin/show debian/code-aster-run/usr/bin
+	mv $(DEB_DESTDIR)/usr/bin/parallel_cp debian/code-aster-run/usr/bin/codeaster-parallel_cp
 
 	install -d debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/profile.sh debian/code-aster-run/etc/codeaster
@@ -74,12 +72,20 @@
 	install -m 0644 ASTK_SERV/etc/aster debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/profile.csh debian/code-aster-run/etc/codeaster
 	install -m 0644 ASTK_SERV/etc/asrun debian/code-aster-run/etc/codeaster
+	install -m 0644 debian/aster-mpihosts debian/code-aster-run/etc/codeaster
 	
 	# Add version to /etc/codeaster/aster
-	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.2|" debian/code-aster-run/etc/codeaster/aster
+	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.3|" debian/code-aster-run/etc/codeaster/aster
 	
 	install -d debian/code-aster-run/$(ASTER_ROOT)/asrun
 	mv $(DEB_DESTDIR)/$(ASTER_ROOT)/* debian/code-aster-run/$(ASTER_ROOT)
+
+	mkdir -p debian/code-aster-run/usr/lib/codeaster/asrun/data
+	install ASTK_SERV/share/codeaster/asrun/data/mpirun_template debian/code-aster-run/usr/lib/codeaster/asrun/data
+	
+
+	mkdir -p debian/code-aster-run/usr/share/python-support
+	mv $(DEB_DESTDIR)/usr/share/python-support debian/code-aster-run/usr/share/python-support
 
 	#mkdir -p debian/code-aster-run/usr/share/python-support
 	#mv $(DEB_DESTDIR)/usr/ASTK/ASTK_SERV/lib/*.py debian/code-aster-run/usr/share/python-support
@@ -90,9 +96,9 @@
 	mkdir -p debian/code-aster-run/usr/share/man/man1
 	install -m 0644 debian/as_run.1 debian/code-aster-run/usr/share/man/man1
 	install -m 0644 debian/codeaster.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/get.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/getop.1 debian/code-aster-run/usr/share/man/man1
-	install -m 0644 debian/parallel_cp.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-get.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-getop.1 debian/code-aster-run/usr/share/man/man1
+	install -m 0644 debian/codeaster-parallel_cp.1 debian/code-aster-run/usr/share/man/man1
 
 	install -d debian/code-aster-run/usr/share/locale
 	mv $(DEB_DESTDIR)/usr/share/locale/* debian/code-aster-run/usr/share/locale
@@ -100,11 +106,14 @@
 	mkdir -p debian/code-aster-run/usr/lib/codeaster/bin
 	ln -sf /usr/bin/as_run debian/code-aster-run/usr/lib/codeaster/bin/as_run
 
+        # override lintian error
+	mkdir -p debian/code-aster-run/usr/share/lintian/overrides
+	cp debian/code-aster-run.lintian-overrides debian/code-aster-run/usr/share/lintian/overrides
 get-orig-source:
 	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
 	mkdir -p tmp
-	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=828"
-	cd tmp && mv "spip.php?action=dw2_out&id=828" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
+	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=885"
+	cd tmp && mv "spip.php?action=dw2_out&id=885" aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
 	
 	# Go to SRC directory and retreive astk source
 	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz

## astk 1.10.4

=== debian/changelog ===
astk (1.10.4-3) unstable; urgency=low

  * debian/rules:
      - switch to dh_python2
      - use debhelper instead of cdbs
  * debian/control: remove quilt
  * debian/code-aster-gui.install
  	- remove codeaster-gui installed with dh_link
  
  [Julien Cristau] 
  * Fix postinst and postrm scripts (Closes: #670293)
  * Add code-aster-run.templates
  * Add code-aster-run.config
  * Install configfiles in usr/share/codeaster

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 26 Jun 2012 16:01:42 +0200

astk (1.10.4-2) unstable; urgency=low

  [Beatrice Torracca]
  * Add Italian translation of astk debconf messages (Closes: #677646)

  * Fix postinst and postrm scripts (Closes: #670293)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sun, 17 Jun 2012 10:17:59 +0200

astk (1.10.4-1) unstable; urgency=low

  * New  upstream release
  * debian/rules: simply install targets
      - add debian/codeaster-run.install
      - add debian/codeaster-gui.install
  * debian/control: add tkpg to Depends
  * Add tcl_fixpath.patch to fix as_run path in tcl scripts
  * Add README.Debian

  [ Andrea Palazzi ]
  * Fixed get-orig-source target in debian/rules
  * Fix "code-aster-mpi-engine: symbolic link needed for parallel_cp"
    Added quilt patch to call codeaster-parallel_cp instead
    of the original parallel_cp (Closes: #669931)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Mon, 23 Apr 2012 10:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), quilt, python-all (>= 2.5.4-9), python-support (>= 1.0.7), 
- po-debconf, gmsh, grace, eficas
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf, 
+  gmsh, grace, eficas
+X-Python-Version: all
 Homepage: http://www.code-aster.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/
@@ -14,7 +15,7 @@
 Package: code-aster-gui
 Architecture: all
 Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, debconf (>= 1.5.30), ${misc:Depends},
+Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends},
  dpkg-dev
 Recommends: code-aster-run
 Replaces: astk, astk-server

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

ASTER_VERSION=11.1.0
ASTER_VERSION_FULL=$(ASTER_VERSION)-3
ASTER_ROOT=/usr/lib/codeaster

BUILDDIR = $(CURDIR)/debian/build
DEB_DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@  --builddirectory=$(BUILDDIR) --with python2

DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/pyshared --install-layout=deb

export DESTDIR = $(DEB_DESTDIR)

override_dh_auto_install:
	dh_auto_install -- 
#install/code-gui-run:: 
	rm -f $(DEB_DESTDIR)/usr/lib/astk/BWidget-1.7.0/LICENSE.txt
	dh_link usr/bin/codeaster-client usr/bin/codeaster-gui

	# Add links in $ASTER_ROOT/outils
	mkdir -p debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/eficas debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/eficasQt debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/gmsh debian/code-aster-gui/$(ASTER_ROOT)/outils
	ln -sf /usr/bin/xmgrace debian/code-aster-gui/$(ASTER_ROOT)/outils

#install/code-aster-run:: 

	# Add version to ASTK_SERV/etc/aster(/etc/codeaster/aster)
	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.6|" ASTK_SERV/etc/aster

	#fix lintian error
	#chmod  ugo-x $(DEB_DESTDIR)debian/code-aster-run/$(ASTER_ROOT)/asrun/unittest/run_test.py

# how to remove duplicate .py in $(ASTER_ROOT)/asrun/unittest??

	mkdir -p debian/tmp/usr/lib/codeaster/bin
	ln -sf /usr/bin/as_run debian/tmp/usr/lib/codeaster/bin/as_run

	cd $(DEB_DESTDIR)/usr/bin && mv get codeaster-get
	cd $(DEB_DESTDIR)/usr/bin && mv parallel_cp codeaster-parallel_cp
	cd $(DEB_DESTDIR)/usr/bin && ln -sf as_run codeaster

override_dh_auto_clean:
	rm -rf $(BUILDDIR)
	rm -rf $(CURDIR)/debian/tmp
	find . -name \*.pyc | xargs -r rm
	debconf-updatepo

get-orig-source:
	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	mkdir -p tmp
	cd tmp && wget "http://www.code-aster.org/FICHIERS/aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz"

	# Go to SRC directory and retreive astk source
	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	cd tmp/aster-full-src-$(ASTER_VERSION)/SRC && mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf tmp

## astk 1.11.0

=== debian/changelog ===
astk (1.11.0-2) unstable; urgency=low

  * Added script update-codeaster-engines to create the aster
    config file
  * Now the file /etc/codeaster/aster is installed in a minimal
    version by code-aster-run.postinst (Closes: #670567)
  * Fixed some errors introduced previously in patch config.patch
    when it was updated for astk 1.11.0

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Sat, 26 Feb 2013 09:35:32 +0100

astk (1.11.0-1) unstable; urgency=low

  * Updated to version 1.11.0
  * Removed unnecessary build-deps on gmsh, garce and eficas

  [ Christophe Trophime ]
  * code-aster-run :
        Depends on code-aster-gui (closes: #681750)

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Mon, 31 Dec 2012 14:31:43 +0100

astk (1.10.4-4) unstable; urgency=low

  * debian/control:
      - Remove dpkg-dev, gcc from code-aster-gui Depends
  * fix code-aster-gui.config (closes: #679589)
  * postrm files remove unowned files (closes: #679689)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sat, 30 Jun 2012 14:44:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>
+Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>, Andrea Palazzi <palazziandrea@yahoo.it>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf, 
-  gmsh, grace, eficas
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf
 X-Python-Version: all
 Homepage: http://www.code-aster.org/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
@@ -15,8 +14,7 @@
 Package: code-aster-gui
 Architecture: all
 Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends},
- dpkg-dev
+Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends}
 Recommends: code-aster-run
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
@@ -32,7 +30,8 @@
 Package: code-aster-run
 Architecture: all
 Section: science
-Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30), ${misc:Depends}
+Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30),
+ ${misc:Depends}, code-aster-gui
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
 Suggests: emacs, gdb, ddd

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=11.1.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-3
+ASTER_VERSION=11.3.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-2
 ASTER_ROOT=/usr/lib/codeaster
+
+DEB_SOURCE_PACKAGE := astk
+DEB_UPSTREAM_VERSION := 1.11.0
 
 BUILDDIR = $(CURDIR)/debian/build
 DEB_DESTDIR = $(CURDIR)/debian/tmp
+
+DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS | tr '[:lower:]' '[:upper:]')
+DEB_HOST_ARCH_BITS=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+
 
 %:
 	dh $@  --builddirectory=$(BUILDDIR) --with python2
@@ -31,12 +38,21 @@
 	ln -sf /usr/bin/xmgrace debian/code-aster-gui/$(ASTER_ROOT)/outils
 
 #install/code-aster-run:: 
+# install update-codeaster-engine script
+	mkdir -p $(DEB_DESTDIR)/usr/sbin
+	cp debian/update-codeaster-engines $(DEB_DESTDIR)/usr/sbin
+	chmod 755 $(DEB_DESTDIR)/usr/sbin/update-codeaster-engines
 
-	# Add version to ASTK_SERV/etc/aster(/etc/codeaster/aster)
-	perl -pi -e "s|#\?vers : VVV\?|vers : STA10.6|" ASTK_SERV/etc/aster
-
+	# Fix platform in ASTK_SERV/etc/asrun (/etc/codeaster/asrun)
+	if [ "${DEB_HOST_ARCH_BITS}" = "64" ]; then \
+	   perl -pi -e "s|\?IFDEF\?|$(DEB_HOST_ARCH_OS)$(DEB_HOST_ARCH_BITS)|" ASTK_SERV/etc/asrun; \
+	else \
+	   perl -pi -e "s|\?IFDEF\?|$(DEB_HOST_ARCH_OS)|" ASTK_SERV/etc/asrun; \
+	fi
+	
 	#fix lintian error
 	#chmod  ugo-x $(DEB_DESTDIR)debian/code-aster-run/$(ASTER_ROOT)/asrun/unittest/run_test.py
+
 
 # how to remove duplicate .py in $(ASTER_ROOT)/asrun/unittest??

## astk 1.13.1

=== ASTK_SERV/i18n/Makefile ===
# locale/XX/LC_MESSAGES/asrun.mo : lien vers asrun.XX.mo
sources = $(shell find ../asrun -name '*.py')

messages.pot: $(sources)
	(cd . ; pygettext -o $@ ../asrun)

=== debian/changelog ===
astk (1.13.1-2) unstable; urgency=low

  [ Denis Laxalde ]
  * Team upload.
  * Call wish8.5 instead of wish and depends on tk8.5 only (closes: #725685).

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 May 2014 10:09:40 +0200

astk (1.13.1-1) unstable; urgency=low

  [ Andrea Palazzi ]
  * Updated to upstream version 1.13.1 (Code Aster 11.4)
  * Removed duplicate Section: parts from control file
  * fixed code-aster-run.postrm script to remove /etc/codeaster/aster
    file (closes: #704542)
  * fixed possible bug in code-aster-run.postinst script not creating
    the /etc/codeaster directory

  [ Sylvestre Ledru ]
  * Standards-Version updated to 3.9.4

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Fri, 12 Jul 2013 11:09:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>, "Adam C. Powell, IV" <hazelsct@debian.org>, Andrea Palazzi <palazziandrea@yahoo.it>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), po-debconf
 X-Python-Version: all
 Homepage: http://www.code-aster.org/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/astk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/astk/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/astk
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/astk.git
 
 
 Package: code-aster-gui
 Architecture: all
-Section: science
-Depends: tk8.5 | wish, tcl8.5 | tclsh, tkpng, debconf (>= 1.5.30), ${misc:Depends}
+Depends: tk8.5, tcl8.5, tkpng, debconf (>= 1.5.30), ${misc:Depends}
 Recommends: code-aster-run
 Replaces: astk, astk-server
 Conflicts: astk, astk-server
@@ -29,7 +28,6 @@
 
 Package: code-aster-run
 Architecture: all
-Section: science
 Depends: ${python:Depends}, python-numpy, debconf (>= 1.5.30),
  ${misc:Depends}, code-aster-gui
 Replaces: astk, astk-server

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 # Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
-ASTER_VERSION=11.3.0
-ASTER_VERSION_FULL=$(ASTER_VERSION)-2
+ASTER_VERSION=11.4.0
+ASTER_VERSION_FULL=$(ASTER_VERSION)-1
 ASTER_ROOT=/usr/lib/codeaster
 
 DEB_SOURCE_PACKAGE := astk
-DEB_UPSTREAM_VERSION := 1.11.0
+DEB_UPSTREAM_VERSION := 1.13.1
 
 BUILDDIR = $(CURDIR)/debian/build
 DEB_DESTDIR = $(CURDIR)/debian/tmp
